package com.qiaoba.api.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 租户数据库表
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 22:07:57
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_tenant_datasource")
public class SysTenantDatasource {

    @NotBlank(message = "【租户码】不能为空")
    private String tenantCode;

    @NotBlank(message = "【数据库类型】不能为空")
    private String datasourceType;

    @NotBlank(message = "【数据库URL】不能为空")
    private String datasourceUrl;

    @NotBlank(message = "【数据库IP】不能为空")
    private String datasourceIp;

    @NotBlank(message = "【数据库端口】不能为空")
    private String datasourcePort;

    @NotBlank(message = "【数据库用户名】不能为空")
    private String datasourceUsername;

    @NotBlank(message = "【数据库密码】不能为空")
    private String datasourcePassword;

    @NotBlank(message = "【数据库驱动】不能为空")
    private String datasourceDriver;

}
