package com.qiaoba.api.system.entity.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Set;

/**
 * 角色
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/8 15:54
 */
@Getter
@Setter
public class SysRoleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "角色ID")
    private String roleId;

    @Schema(description = "角色名称")
    private String roleName;

    @Schema(description = "权限字符")
    private String roleKey;

    @Schema(description = "角色排序")
    private Integer roleSort;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "状态(0->禁用,1->正常)")
    private String status;

    @Schema(description = "部门组(数据权限)")
    private Set<String> deptIds;

    @Schema(description = "菜单组")
    private Set<String> menuIds;

}
