package com.qiaoba.api.system.entity.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 岗位查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
@Getter
@Setter
public class SysPostParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "岗位名称")
    private String postName;

    @Schema(description = "岗位编码")
    private String postCode;

    @Schema(description = "状态(0->禁用,1->正常)")
    private String status;

    public SysPostParam() {
    }

    public SysPostParam(String status) {
        this.status = status;
    }
}
