package com.qiaoba.api.system.entity.vo;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 菜单
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 14:08
 */
@Getter
@Setter
public class SysMenuVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 菜单ID
     */
    private String menuId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 父菜单ID
     */
    private String parentId;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 组件路径
     */
    private String component;

    /**
     * 路由参数
     */
    private String query;

    /**
     * 显示状态（0隐藏 1显示）
     */
    private String isVisible;

    /**
     * 权限字符串
     */
    private String perms;

    /**
     * 路由地址
     */
    private String path;

    /**
     * 菜单图标
     */
    private String icon;

    /**
     * 是否为外链（0否 1是）
     */
    private String isFrame;

    /**
     * 是否缓存（0不缓存 1缓存）
     */
    private String isCache;

    /**
     * 类型（M目录 C菜单 F按钮）
     */
    private String menuType;

    /**
     * 创建时间
     */
    private Date createTime;

    private List<SysMenuVo> children;
}
