package com.qiaoba.auth.entity;

import com.qiaoba.auth.entity.dto.RoleDto;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/19 16:55
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class SecurityUser implements Serializable {

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 登录账号
     */
    private String username;

    /**
     * 用户名称
     */
    private String nickname;

    /**
     * 角色列表
     */
    private List<RoleDto> roles;

    /**
     * 角色Key列表
     */
    private List<String> roleKeys;

    /**
     * 权限列表
     */
    private Set<String> permissions;


}
