package com.qiaoba.auth.handler;

import cn.hutool.http.HttpStatus;
import cn.hutool.json.JSONUtil;
import com.qiaoba.auth.constants.SecurityConstant;
import com.qiaoba.common.base.result.AjaxResult;
import com.qiaoba.common.web.utils.ResponseUtil;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 无权限处理器
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/15 14:14
 */
@Component
public class AccessDeniedHandler implements AuthenticationEntryPoint {
    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response, AuthenticationException authException) throws IOException, ServletException {
        AjaxResult result = AjaxResult.error(HttpStatus.HTTP_UNAUTHORIZED, SecurityConstant.ACCESS_DENIED);
        ResponseUtil.response(response, JSONUtil.toJsonStr(result));
    }
}
