package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 15:03
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {

    /**
     * 校验角色名称是否唯一
     *
     * @param role role
     * @return != null -> 不唯一
     */
    String checkRoleNameUnique(SysRole role);

    /**
     * 校验角色权限是否唯一
     *
     * @param role role
     * @return != null -> 不唯一
     */
    String checkRoleKeyUnique(SysRole role);

    /**
     * 查询角色已绑定的第一个人名
     *
     * @param ids ids
     * @return 已绑定的人名
     */
    String selectBindUserByRoleId(@Param("list") List<String> ids);

    /**
     * 查询用户拥有角色
     *
     * @param userId userId
     * @return 角色名称
     */
    List<String> selectRoleGroupByUserId(String userId);
}
