package com.qiaoba.module.system.service;

import cn.hutool.core.lang.tree.Tree;
import com.qiaoba.api.system.entity.SysDept;
import com.qiaoba.api.system.service.SysDeptApiService;

import java.util.List;

/**
 * 部门管理 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 15:02
 */
public interface SysDeptService extends SysDeptApiService {

    /**
     * 查询部门列表(排除节点)
     *
     * @param deptId deptId
     * @return list
     */
    List<SysDept> excludeChild(String deptId);

    /**
     * 构建前端所需要下拉树结构
     *
     * @param list 部门列表
     * @return 下拉树结构列表
     */
    List<Tree<String>> buildDeptTree(List<SysDept> list);
}
