package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.SysUser;
import com.qiaoba.api.system.entity.dto.LoginDto;
import com.qiaoba.common.base.result.AjaxResult;

import java.util.Map;

/**
 * 登录 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/15 15:31
 */
public interface SysLoginService {

    /**
     * 生成图片验证码
     *
     * @return uuid + base64
     */
    Map<String, Object> getCaptchaImage();

    /**
     * 登录
     *
     * @param dto dto
     * @return token
     */
    String login(LoginDto dto);

}
