package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.dto.ResetUserBasicInfoDto;
import org.springframework.web.multipart.MultipartFile;

/**
 * 个人信息 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/19 11:28
 */
public interface SysProfileService {

    /**
     * 更新个人头像
     *
     * @param file file
     * @return 头像链接
     */
    String updateAvatar(MultipartFile file);

    /**
     * 更改密码
     *
     * @param oldPassword 旧密码
     * @param newPassword 新密码
     */
    void updatePassword(String oldPassword, String newPassword);

    /**
     * 更改基本信息
     *
     * @param dto dto
     */
    void updateBasicInfo(ResetUserBasicInfoDto dto);
}
