package com.qiaoba.module.system.templates;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 用户导出模板
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/17 17:16
 */
@Data
public class SysUserExport {

    @Excel(name = "用户ID", width = 25)
    private String userId;

    @Excel(name = "登录账号", width = 20)
    private String username;

    @Excel(name = "姓名", width = 20)
    private String nickname;

    @Excel(name = "部门", width = 20)
    private String deptName;

    @Excel(name = "角色", width = 30)
    private String role;

    @Excel(name = "岗位", width = 30)
    private String post;

    @Excel(name = "性别", replace = {"男_0", "女_1", "未知_2"})
    private String gender;

    @Excel(name = "手机", width = 20)
    private String phone;

    @Excel(name = "邮箱", width = 20)
    private String email;

    @Excel(name = "状态", replace = {"正常_1", "停用_0"})
    private String status;

    @Excel(name = "创建时间", width = 30, format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private List<String> roles;

    private List<String> posts;

}
